#!/bin/bash

RED='\033[1;31m'
NORMAL='\033[0m'
YELLOW='\033[1;33m'
CYAN='\033[1;36m'
BLINK='\033[5m'

status=$(ls -l /home/user/MyDocs/Pictures/.emoticons_themes | grep ^d | wc -l)
if [[ $status == "0" ]]; then
echo ""
echo -e "${RED}You don't have packages here!\n\nExiting...${NORMAL}"
sleep 3 && exit 0
else
emtheme1=$(ls -l /home/user/MyDocs/Pictures/.emoticons_themes | grep '^d' | awk '{print $9}' | sed -n 1p)
emtheme2=$(ls -l /home/user/MyDocs/Pictures/.emoticons_themes | grep '^d' | awk '{print $9}' | sed -n 2p)
emtheme3=$(ls -l /home/user/MyDocs/Pictures/.emoticons_themes | grep '^d' | awk '{print $9}' | sed -n 3p)
emtheme4=$(ls -l /home/user/MyDocs/Pictures/.emoticons_themes | grep '^d' | awk '{print $9}' | sed -n 4p)
emtheme5=$(ls -l /home/user/MyDocs/Pictures/.emoticons_themes | grep '^d' | awk '{print $9}' | sed -n 5p)

    echo " ---------------------------------------------"
    echo -e "|            ${CYAN}Emoticons theme creator${NORMAL}          |"
    echo " ---------------------------------------------"
    echo -e "             *** Create theme ***              "
    echo "                                             "
    echo -e " 1. \"${YELLOW}$emtheme1${NORMAL}\""
if [[ $emtheme2 == "" ]]; then
:
else
    echo -e " 2. \"${YELLOW}$emtheme2${NORMAL}\""
fi
if [[ $emtheme3 == "" ]]; then
:
else
    echo -e " 3. \"${YELLOW}$emtheme3${NORMAL}\""
fi
if [[ $emtheme4 == "" ]]; then
:
else
    echo -e " 4. \"${YELLOW}$emtheme4${NORMAL}\""
fi
if [[ $emtheme5 == "" ]]; then
:
else
    echo -e " 5. \"${YELLOW}$emtheme5${NORMAL}\""
fi
    echo "                                             "
    echo " ---------------------------------------------"
    echo "For Exit, just press Enter..."
    echo ""
if [[ $status == "1" ]]; then
    read -p "Choose number 1: " inputline
    else
    read -p "Choose numbers separated by one space: " inputline
fi
    echo " "
   for carattere in $inputline; do
    case $carattere in
[1] ) echo -e " ${BLINK}${RED}WAIT${NORMAL}${RED} applying ${YELLOW}\"$emtheme1\"${RED} theme !!!${NORMAL}"
		echo ""
uuid1=$(cat /dev/urandom|tr -dc a-z0-9|head -c 8|xargs)
uuid2=$(cat /dev/urandom|tr -dc a-z0-9|head -c 4|xargs)
uuid3=$(cat /dev/urandom|tr -dc a-z0-9|head -c 4|xargs)
uuid4=$(cat /dev/urandom|tr -dc a-z0-9|head -c 4|xargs)
uuid5=$(cat /dev/urandom|tr -dc a-z0-9|head -c 12|xargs)
uuidnumber=$(echo $uuid1-$uuid2-$uuid3-$uuid4-$uuid5)
		devel-su user -c "echo $emtheme1 >> /home/user/MyDocs/Pictures/.emoticons_themes/remover"
if [ ! -f /home/user/MyDocs/Pictures/.emoticons_themes/$emtheme1/$emtheme1.xml ]; then
cp -rf /home/user/MyDocs/Pictures/.emoticons_themes/$emtheme1 /usr/share/themes/base/meegotouch/libemoticontransform0/images
cp -f /opt/N950QTweak/Emoticons/example.xml /usr/share/themes/base/meegotouch/libemoticontransform0/images/$emtheme1/$emtheme1.xml
read -p "Insert name of theme (ex. Meego): " ANS
echo ""
if [ -n "$ANS" ];
then #okay, do nothing
        echo "" > /dev/null
else #set default value
        ANS=My_Example
fi
sed -i -e "s/theme_uuid=\"*.*\" theme_name=\"*.*\"/theme_uuid=\"$uuidnumber\" theme_name=\"$ANS\"/g" /usr/share/themes/base/meegotouch/libemoticontransform0/images/$emtheme1/$emtheme1.xml
else
cp -rf /home/user/MyDocs/Pictures/.emoticons_themes/$emtheme1 /usr/share/themes/base/meegotouch/libemoticontransform0/images
sed -i -e "s/theme_uuid=\"*.*\" th/theme_uuid=\"$uuidnumber\" th/g" /usr/share/themes/base/meegotouch/libemoticontransform0/images/$emtheme1/$emtheme1.xml
fi
     echo -e "${YELLOW}Theme created successfully...${NORMAL}\n" ;;

[2] ) echo -e " ${BLINK}${RED}WAIT${NORMAL}${RED} applying ${YELLOW}\"$emtheme2\"${RED} theme !!!${NORMAL}"
		echo ""
uuid1=$(cat /dev/urandom|tr -dc a-z0-9|head -c 8|xargs)
uuid2=$(cat /dev/urandom|tr -dc a-z0-9|head -c 4|xargs)
uuid3=$(cat /dev/urandom|tr -dc a-z0-9|head -c 4|xargs)
uuid4=$(cat /dev/urandom|tr -dc a-z0-9|head -c 4|xargs)
uuid5=$(cat /dev/urandom|tr -dc a-z0-9|head -c 12|xargs)
uuidnumber=$(echo $uuid1-$uuid2-$uuid3-$uuid4-$uuid5)
		devel-su user -c "echo $emtheme2 >> /home/user/MyDocs/Pictures/.emoticons_themes/remover"
if [ ! -f /home/user/MyDocs/Pictures/.emoticons_themes/$emtheme2/$emtheme2.xml ]; then
cp -rf /home/user/MyDocs/Pictures/.emoticons_themes/$emtheme2 /usr/share/themes/base/meegotouch/libemoticontransform0/images
cp -f /opt/N950QTweak/Emoticons/example.xml /usr/share/themes/base/meegotouch/libemoticontransform0/images/$emtheme2/$emtheme2.xml
read -p "Insert name of theme (ex. Meego): " ANS
echo ""
if [ -n "$ANS" ];
then #okay, do nothing
        echo "" > /dev/null
else #set default value
        ANS=My_Example
fi
sed -i -e "s/theme_uuid=\"*.*\" theme_name=\"*.*\"/theme_uuid=\"$uuidnumber\" theme_name=\"$ANS\"/g" /usr/share/themes/base/meegotouch/libemoticontransform0/images/$emtheme2/$emtheme2.xml
else
cp -rf /home/user/MyDocs/Pictures/.emoticons_themes/$emtheme2 /usr/share/themes/base/meegotouch/libemoticontransform0/images
sed -i -e "s/theme_uuid=\"*.*\" th/theme_uuid=\"$uuidnumber\" th/g" /usr/share/themes/base/meegotouch/libemoticontransform0/images/$emtheme2/$emtheme2.xml
fi
     echo -e "${YELLOW}Theme created successfully...${NORMAL}\n" ;;

[3] ) echo -e " ${BLINK}${RED}WAIT${NORMAL}${RED} applying ${YELLOW}\"$emtheme3\"${RED} theme !!!${NORMAL}"
		echo ""
uuid1=$(cat /dev/urandom|tr -dc a-z0-9|head -c 8|xargs)
uuid2=$(cat /dev/urandom|tr -dc a-z0-9|head -c 4|xargs)
uuid3=$(cat /dev/urandom|tr -dc a-z0-9|head -c 4|xargs)
uuid4=$(cat /dev/urandom|tr -dc a-z0-9|head -c 4|xargs)
uuid5=$(cat /dev/urandom|tr -dc a-z0-9|head -c 12|xargs)
uuidnumber=$(echo $uuid1-$uuid2-$uuid3-$uuid4-$uuid5)
		devel-su user -c "echo $emtheme3 >> /home/user/MyDocs/Pictures/.emoticons_themes/remover"
if [ ! -f /home/user/MyDocs/Pictures/.emoticons_themes/$emtheme3/$emtheme3.xml ]; then
cp -rf /home/user/MyDocs/Pictures/.emoticons_themes/$emtheme3 /usr/share/themes/base/meegotouch/libemoticontransform0/images
cp -f /opt/N950QTweak/Emoticons/example.xml /usr/share/themes/base/meegotouch/libemoticontransform0/images/$emtheme3/$emtheme3.xml
read -p "Insert name of theme (ex. Meego): " ANS
echo ""
if [ -n "$ANS" ];
then #okay, do nothing
        echo "" > /dev/null
else #set default value
        ANS=My_Example
fi
sed -i -e "s/theme_uuid=\"*.*\" theme_name=\"*.*\"/theme_uuid=\"$uuidnumber\" theme_name=\"$ANS\"/g" /usr/share/themes/base/meegotouch/libemoticontransform0/images/$emtheme3/$emtheme3.xml
else
cp -rf /home/user/MyDocs/Pictures/.emoticons_themes/$emtheme3 /usr/share/themes/base/meegotouch/libemoticontransform0/images
sed -i -e "s/theme_uuid=\"*.*\" th/theme_uuid=\"$uuidnumber\" th/g" /usr/share/themes/base/meegotouch/libemoticontransform0/images/$emtheme3/$emtheme3.xml
fi
     echo -e "${YELLOW}Theme created successfully...${NORMAL}\n" ;;

[4] ) echo -e " ${BLINK}${RED}WAIT${NORMAL}${RED} applying ${YELLOW}\"$emtheme4\"${RED} theme !!!${NORMAL}"
		echo ""
uuid1=$(cat /dev/urandom|tr -dc a-z0-9|head -c 8|xargs)
uuid2=$(cat /dev/urandom|tr -dc a-z0-9|head -c 4|xargs)
uuid3=$(cat /dev/urandom|tr -dc a-z0-9|head -c 4|xargs)
uuid4=$(cat /dev/urandom|tr -dc a-z0-9|head -c 4|xargs)
uuid5=$(cat /dev/urandom|tr -dc a-z0-9|head -c 12|xargs)
uuidnumber=$(echo $uuid1-$uuid2-$uuid3-$uuid4-$uuid5)
		devel-su user -c "echo $emtheme4 >> /home/user/MyDocs/Pictures/.emoticons_themes/remover"
if [ ! -f /home/user/MyDocs/Pictures/.emoticons_themes/$emtheme4/$emtheme4.xml ]; then
cp -rf /home/user/MyDocs/Pictures/.emoticons_themes/$emtheme4 /usr/share/themes/base/meegotouch/libemoticontransform0/images
cp -f /opt/N950QTweak/Emoticons/example.xml /usr/share/themes/base/meegotouch/libemoticontransform0/images/$emtheme4/$emtheme4.xml
read -p "Insert name of theme (ex. Meego): " ANS
echo ""
if [ -n "$ANS" ];
then #okay, do nothing
        echo "" > /dev/null
else #set default value
        ANS=My_Example
fi
sed -i -e "s/theme_uuid=\"*.*\" theme_name=\"*.*\"/theme_uuid=\"$uuidnumber\" theme_name=\"$ANS\"/g" /usr/share/themes/base/meegotouch/libemoticontransform0/images/$emtheme4/$emtheme4.xml
else
cp -rf /home/user/MyDocs/Pictures/.emoticons_themes/$emtheme4 /usr/share/themes/base/meegotouch/libemoticontransform0/images
sed -i -e "s/theme_uuid=\"*.*\" th/theme_uuid=\"$uuidnumber\" th/g" /usr/share/themes/base/meegotouch/libemoticontransform0/images/$emtheme4/$emtheme4.xml
fi
     echo -e "${YELLOW}Theme created successfully...${NORMAL}\n" ;;

[5] ) echo -e " ${BLINK}${RED}WAIT${NORMAL}${RED} applying ${YELLOW}\"$emtheme5\"${RED} theme !!!${NORMAL}"
		echo ""
uuid1=$(cat /dev/urandom|tr -dc a-z0-9|head -c 8|xargs)
uuid2=$(cat /dev/urandom|tr -dc a-z0-9|head -c 4|xargs)
uuid3=$(cat /dev/urandom|tr -dc a-z0-9|head -c 4|xargs)
uuid4=$(cat /dev/urandom|tr -dc a-z0-9|head -c 4|xargs)
uuid5=$(cat /dev/urandom|tr -dc a-z0-9|head -c 12|xargs)
uuidnumber=$(echo $uuid1-$uuid2-$uuid3-$uuid4-$uuid5)
		devel-su user -c "echo $emtheme5 >> /home/user/MyDocs/Pictures/.emoticons_themes/remover"
if [ ! -f /home/user/MyDocs/Pictures/.emoticons_themes/$emtheme5/$emtheme5.xml ]; then
cp -rf /home/user/MyDocs/Pictures/.emoticons_themes/$emtheme5 /usr/share/themes/base/meegotouch/libemoticontransform0/images
cp -f /opt/N950QTweak/Emoticons/example.xml /usr/share/themes/base/meegotouch/libemoticontransform0/images/$emtheme5/$emtheme5.xml
read -p "Insert name of theme (ex. Meego): " ANS
echo ""
if [ -n "$ANS" ];
then #okay, do nothing
        echo "" > /dev/null
else #set default value
        ANS=My_Example
fi
sed -i -e "s/theme_uuid=\"*.*\" theme_name=\"*.*\"/theme_uuid=\"$uuidnumber\" theme_name=\"$ANS\"/g" /usr/share/themes/base/meegotouch/libemoticontransform0/images/$emtheme5/$emtheme5.xml
else
cp -rf /home/user/MyDocs/Pictures/.emoticons_themes/$emtheme5 /usr/share/themes/base/meegotouch/libemoticontransform0/images
sed -i -e "s/theme_uuid=\"*.*\" th/theme_uuid=\"$uuidnumber\" th/g" /usr/share/themes/base/meegotouch/libemoticontransform0/images/$emtheme5/$emtheme5.xml
fi
     echo -e "${YELLOW}Theme created successfully...${NORMAL}\n" ;;
 esac
done
fi
