import QtQuick 1.1
import com.nokia.meego 1.0

Item {
    id: root

    property alias text: label.text
    property alias textColor: label.color
    property alias buttonText: button.text

    height: visible ? button.height : 0
    signal clicked

    Label {
        id: label
        anchors.verticalCenter: root.verticalCenter
        wrapMode: Text.NoWrap
        anchors.left: root.left
        font.pixelSize: 26
        color: "white"
    }
    Button {
        id: button
        anchors.verticalCenter: root.verticalCenter
        anchors.right: root.right
        width: (root.width - label.width > 200) ? 200 : (root.width - label.width)
        onClicked: root.clicked()
    }
}
