import QtQuick 1.1
import com.nokia.meego 1.0

Item {
    id: root
    width: 96
    height: 96
    signal clicked
    property alias imageSource: image.source

    Rectangle {
        anchors.fill: root
        opacity: 0.2
        color: mArea.pressed ? "#d0d0d0" : "transparent"
    }

    Image {
        id: image
        anchors.fill: root
        fillMode: Image.PreserveAspectFit
        smooth: true
    }

    MouseArea {
        id: mArea
        anchors.fill: parent
        onClicked: root.clicked()
    }
}
